org.apache.thrift.protocol

## Class TList

- java.lang.Object
- - org.apache.thrift.protocol.TList

-     public final class TList
      extends java.lang.Object

  Helper class that encapsulates list metadata.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `elemType`
    `int` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TList()`
    `TList(byte t, int s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elemType

          public final byte elemType

    - #### size

          public final int size

  - ### Constructor Detail

    - #### TList

          public TList()

    - #### TList

          public TList(byte t,
               int s)